| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ScriptCompilerListener Class Reference
Core » General

This is a listener for the compiler. More...

`#include <OgreScriptCompiler.h>`

## Public Member Functions
| ScriptCompilerListener ()
virtual | ~ScriptCompilerListener ()
virtual void | handleError (ScriptCompiler *compiler, uint32 code, const String &file, int line, const String &msg)
| Called when an error occurred. More...
virtual bool | handleEvent (ScriptCompiler *compiler, ScriptCompilerEvent *evt, void *retval)
| Called when an event occurs during translation, return true if handled. More...
virtual ConcreteNodeListPtr | importFile (ScriptCompiler *compiler, const String &name)
| Returns the concrete node list from the given file. More...
virtual bool | postConversion (ScriptCompiler *compiler, const AbstractNodeListPtr &)
| Allows vetoing of continued compilation after the entire AST conversion process finishes. More...
virtual void | preConversion (ScriptCompiler *compiler, ConcreteNodeListPtr nodes)
| Allows for responding to and overriding behavior before a CST is translated into an AST. More...

## Detailed Description

This is a listener for the compiler.

The compiler can be customized with this listener. It lets you listen in on events occurring during compilation, hook them, and change the behavior.

## Constructor & Destructor Documentation

## ◆ ScriptCompilerListener()

Ogre::ScriptCompilerListener::ScriptCompilerListener | ( |  | ) |

## ◆ ~ScriptCompilerListener()

virtual Ogre::ScriptCompilerListener::~ScriptCompilerListener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ importFile()

virtual ConcreteNodeListPtr Ogre::ScriptCompilerListener::importFile | ( | ScriptCompiler * | compiler,
|  | const String & | name
| ) |  |
| virtual

Returns the concrete node list from the given file.

## ◆ preConversion()

virtual void Ogre::ScriptCompilerListener::preConversion | ( | ScriptCompiler * | compiler,
|  | ConcreteNodeListPtr | nodes
| ) |  |
| virtual

Allows for responding to and overriding behavior before a CST is translated into an AST.

## ◆ postConversion()

virtual bool Ogre::ScriptCompilerListener::postConversion | ( | ScriptCompiler * | compiler,
|  | const AbstractNodeListPtr & |
| ) |  |
| virtual

Allows vetoing of continued compilation after the entire AST conversion process finishes.

Remarks
  Once the script is turned completely into an AST, including import and override handling, this function allows a listener to exit the compilation process.

Returns
  True continues compilation, false aborts

## ◆ handleError()

virtual void Ogre::ScriptCompilerListener::handleError | ( | ScriptCompiler * | compiler,
|  | uint32 | code,
|  | const String & | file,
|  | int | line,
|  | const String & | msg
| ) |  |
| virtual

Called when an error occurred.

## ◆ handleEvent()

virtual bool Ogre::ScriptCompilerListener::handleEvent | ( | ScriptCompiler * | compiler,
|  | ScriptCompilerEvent * | evt,
|  | void * | retval
| ) |  |
| virtual

Called when an event occurs during translation, return true if handled.

Remarks
  This function is called from the translators when an event occurs that that can be responded to. Often this is overriding names, or it can be a request for custom resource creation.
  - compiler A reference to the compiler
  - evt The event object holding information about the event to be processed
  - retval A possible return value from handlers

Returns
  True if the handler processed the event

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h